MPI_File_get_amode(3)

NAME
MPI_File_get_amode - Returns the file access mode

SYNOPSIS
int MPI_File_get_amode(MPI_File mpi_fh, int *amode)

INPUT PARAMETERS
fh  - file handle (handle)

OUTPUT PARAMETERS
amode
    - access mode (integer)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

LOCATION
get_amode.c